Package org.springframework.test.context.support

# Class DynamicPropertyRegistrarBeanInitializer

java.lang.Object
org.springframework.test.context.support.DynamicPropertyRegistrarBeanInitializer

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryInitializer<org.springframework.beans.factory.ListableBeanFactory>`, `org.springframework.context.EnvironmentAware`

public class DynamicPropertyRegistrarBeanInitializer extends Object implements org.springframework.beans.factory.BeanFactoryInitializer<org.springframework.beans.factory.ListableBeanFactory>, org.springframework.context.EnvironmentAware
`BeanFactoryInitializer` that eagerly initializes `DynamicPropertyRegistrar` beans.

Primarily intended for internal use within the Spring TestContext Framework.

Since:
  6.2
Author:
  Sam Brannen

## Constructor Summary

Constructors
Constructor
Description
`DynamicPropertyRegistrarBeanInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.springframework.beans.factory.ListableBeanFactory beanFactory)`
`void`
`setEnvironment(org.springframework.core.env.Environment environment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicPropertyRegistrarBeanInitializer

public DynamicPropertyRegistrarBeanInitializer()

## Method Details

### setEnvironment

public void setEnvironment(org.springframework.core.env.Environment environment)

Specified by:
  `setEnvironment` in interface `org.springframework.context.EnvironmentAware`

### initialize

public void initialize(org.springframework.beans.factory.ListableBeanFactory beanFactory)

Specified by:
  `initialize` in interface `org.springframework.beans.factory.BeanFactoryInitializer<org.springframework.beans.factory.ListableBeanFactory>`